<stg><name>cache_module_Pipeline_VITIS_LOOP_11_1</name>


<trans_list>

<trans id="47" from="1" to="2">
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>
</trans>
</trans_list>



<state_list>

<state id="1" st_id="2">

<operation id="5" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="3" bw="3" op_0_bw="32">
<![CDATA[
newFuncRoot:0 %i = alloca i32 1

]]></Node>
<StgValue><ssdm name="i"/></StgValue>
</operation>

<operation id="6" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="4" bw="0" op_0_bw="0" op_1_bw="64">
<![CDATA[
newFuncRoot:1 %specbramwithbyteenable_ln0 = specbramwithbyteenable void @_ssdm_op_SpecBRAMWithByteEnable, i64 %cacheMemory

]]></Node>
<StgValue><ssdm name="specbramwithbyteenable_ln0"/></StgValue>
</operation>

<operation id="7" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="5" bw="0" op_0_bw="0" op_1_bw="8" op_2_bw="0" op_3_bw="32" op_4_bw="32" op_5_bw="0" op_6_bw="32" op_7_bw="32" op_8_bw="0" op_9_bw="0" op_10_bw="0" op_11_bw="32" op_12_bw="32" op_13_bw="32" op_14_bw="32" op_15_bw="0" op_16_bw="0" op_17_bw="32" op_18_bw="32">
<![CDATA[
newFuncRoot:2 %specinterface_ln0 = specinterface void @_ssdm_op_SpecInterface, i8 %newData, void @empty_1, i32 0, i32 0, void @empty_0, i32 4294967295, i32 0, void @empty_0, void @empty_0, void @empty_0, i32 0, i32 0, i32 0, i32 0, void @empty_0, void @empty_0, i32 4294967295, i32 0

]]></Node>
<StgValue><ssdm name="specinterface_ln0"/></StgValue>
</operation>

<operation id="8" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="6" bw="6" op_0_bw="6" op_1_bw="6">
<![CDATA[
newFuncRoot:3 %or_ln11_read = read i6 @_ssdm_op_Read.ap_auto.i6, i6 %or_ln11

]]></Node>
<StgValue><ssdm name="or_ln11_read"/></StgValue>
</operation>

<operation id="9" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="7" bw="0" op_0_bw="3" op_1_bw="3">
<![CDATA[
newFuncRoot:4 %store_ln0 = store i3 0, i3 %i

]]></Node>
<StgValue><ssdm name="store_ln0"/></StgValue>
</operation>

<operation id="10" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="8" bw="0" op_0_bw="0">
<![CDATA[
newFuncRoot:5 %br_ln0 = br void %for.inc

]]></Node>
<StgValue><ssdm name="br_ln0"/></StgValue>
</operation>

<operation id="11" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="10" bw="3" op_0_bw="3" op_1_bw="0">
<![CDATA[
for.inc:0 %i_2 = load i3 %i

]]></Node>
<StgValue><ssdm name="i_2"/></StgValue>
</operation>

<operation id="12" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="11" bw="0" op_0_bw="0" op_1_bw="32" op_2_bw="32" op_3_bw="32" op_4_bw="32" op_5_bw="0">
<![CDATA[
for.inc:1 %specpipeline_ln0 = specpipeline void @_ssdm_op_SpecPipeline, i32 4294967295, i32 0, i32 1, i32 0, void @p_str

]]></Node>
<StgValue><ssdm name="specpipeline_ln0"/></StgValue>
</operation>

<operation id="13" st_id="1" stage="1" lat="1">
<core>Cmp</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="12" bw="1" op_0_bw="3" op_1_bw="3">
<![CDATA[
for.inc:2 %icmp_ln11 = icmp_eq  i3 %i_2, i3 4

]]></Node>
<StgValue><ssdm name="icmp_ln11"/></StgValue>
</operation>

<operation id="14" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="13" bw="32" op_0_bw="32" op_1_bw="64" op_2_bw="64" op_3_bw="64">
<![CDATA[
for.inc:3 %empty = speclooptripcount i32 @_ssdm_op_SpecLoopTripCount, i64 4, i64 4, i64 4

]]></Node>
<StgValue><ssdm name="empty"/></StgValue>
</operation>

<operation id="15" st_id="1" stage="1" lat="1">
<core>Adder</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="14" bw="3" op_0_bw="3" op_1_bw="3">
<![CDATA[
for.inc:4 %add_ln11_1 = add i3 %i_2, i3 1

]]></Node>
<StgValue><ssdm name="add_ln11_1"/></StgValue>
</operation>

<operation id="16" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="15" bw="0" op_0_bw="1" op_1_bw="0" op_2_bw="0">
<![CDATA[
for.inc:5 %br_ln11 = br i1 %icmp_ln11, void %for.inc.split, void %if.end.loopexit.exitStub

]]></Node>
<StgValue><ssdm name="br_ln11"/></StgValue>
</operation>

<operation id="17" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="icmp_ln11" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="17" bw="64" op_0_bw="3">
<![CDATA[
for.inc.split:0 %i_cast4 = zext i3 %i_2

]]></Node>
<StgValue><ssdm name="i_cast4"/></StgValue>
</operation>

<operation id="18" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="icmp_ln11" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="20" bw="2" op_0_bw="8" op_1_bw="64" op_2_bw="64">
<![CDATA[
for.inc.split:3 %newData_addr = getelementptr i8 %newData, i64 0, i64 %i_cast4

]]></Node>
<StgValue><ssdm name="newData_addr"/></StgValue>
</operation>

<operation id="19" st_id="1" stage="2" lat="2">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="icmp_ln11" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="21" bw="8" op_0_bw="2">
<![CDATA[
for.inc.split:4 %newData_load = load i2 %newData_addr

]]></Node>
<StgValue><ssdm name="newData_load"/></StgValue>
</operation>

<operation id="20" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="icmp_ln11" val="0"/>
</and_exp></or_exp>
</condition>

<Node id="35" bw="0" op_0_bw="3" op_1_bw="3" op_2_bw="0" op_3_bw="0">
<![CDATA[
for.inc.split:18 %store_ln11 = store i3 %add_ln11_1, i3 %i

]]></Node>
<StgValue><ssdm name="store_ln11"/></StgValue>
</operation>

<operation id="38" st_id="1" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp><literal name="icmp_ln11" val="1"/>
</and_exp></or_exp>
</condition>

<Node id="38" bw="0">
<![CDATA[
if.end.loopexit.exitStub:0 %ret_ln0 = ret

]]></Node>
<StgValue><ssdm name="ret_ln0"/></StgValue>
</operation>
</state>

<state id="2" st_id="3">

<operation id="21" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="18" bw="6" op_0_bw="3">
<![CDATA[
for.inc.split:1 %i_cast = zext i3 %i_2

]]></Node>
<StgValue><ssdm name="i_cast"/></StgValue>
</operation>

<operation id="22" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="19" bw="0" op_0_bw="0" op_1_bw="0">
<![CDATA[
for.inc.split:2 %specloopname_ln11 = specloopname void @_ssdm_op_SpecLoopName, void @empty_4

]]></Node>
<StgValue><ssdm name="specloopname_ln11"/></StgValue>
</operation>

<operation id="23" st_id="2" stage="1" lat="2">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="21" bw="8" op_0_bw="2">
<![CDATA[
for.inc.split:4 %newData_load = load i2 %newData_addr

]]></Node>
<StgValue><ssdm name="newData_load"/></StgValue>
</operation>

<operation id="24" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="22" bw="2" op_0_bw="3">
<![CDATA[
for.inc.split:5 %trunc_ln11 = trunc i3 %i_2

]]></Node>
<StgValue><ssdm name="trunc_ln11"/></StgValue>
</operation>

<operation id="25" st_id="2" stage="1" lat="1">
<core>Adder</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="23" bw="6" op_0_bw="6" op_1_bw="6">
<![CDATA[
for.inc.split:6 %add_ln11 = add i6 %i_cast, i6 %or_ln11_read

]]></Node>
<StgValue><ssdm name="add_ln11"/></StgValue>
</operation>

<operation id="26" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="24" bw="64" op_0_bw="8">
<![CDATA[
for.inc.split:7 %zext_ln11 = zext i8 %newData_load

]]></Node>
<StgValue><ssdm name="zext_ln11"/></StgValue>
</operation>

<operation id="27" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="25" bw="3" op_0_bw="3" op_1_bw="1" op_2_bw="2">
<![CDATA[
for.inc.split:8 %zext_ln11_1_cast = bitconcatenate i3 @_ssdm_op_BitConcatenate.i3.i1.i2, i1 1, i2 %trunc_ln11

]]></Node>
<StgValue><ssdm name="zext_ln11_1_cast"/></StgValue>
</operation>

<operation id="28" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="26" bw="8" op_0_bw="3">
<![CDATA[
for.inc.split:9 %zext_ln11_1 = zext i3 %zext_ln11_1_cast

]]></Node>
<StgValue><ssdm name="zext_ln11_1"/></StgValue>
</operation>

<operation id="29" st_id="2" stage="1" lat="1">
<core>Shifter</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="27" bw="8" op_0_bw="8" op_1_bw="8">
<![CDATA[
for.inc.split:10 %shl_ln11 = shl i8 1, i8 %zext_ln11_1

]]></Node>
<StgValue><ssdm name="shl_ln11"/></StgValue>
</operation>

<operation id="30" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="28" bw="6" op_0_bw="6" op_1_bw="1" op_2_bw="2" op_3_bw="3">
<![CDATA[
for.inc.split:11 %zext_ln11_2_cast = bitconcatenate i6 @_ssdm_op_BitConcatenate.i6.i1.i2.i3, i1 1, i2 %trunc_ln11, i3 0

]]></Node>
<StgValue><ssdm name="zext_ln11_2_cast"/></StgValue>
</operation>

<operation id="31" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="29" bw="64" op_0_bw="6">
<![CDATA[
for.inc.split:12 %zext_ln11_2 = zext i6 %zext_ln11_2_cast

]]></Node>
<StgValue><ssdm name="zext_ln11_2"/></StgValue>
</operation>

<operation id="32" st_id="2" stage="1" lat="1">
<core>Shifter</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="30" bw="64" op_0_bw="64" op_1_bw="64">
<![CDATA[
for.inc.split:13 %shl_ln11_1 = shl i64 %zext_ln11, i64 %zext_ln11_2

]]></Node>
<StgValue><ssdm name="shl_ln11_1"/></StgValue>
</operation>

<operation id="33" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="31" bw="3" op_0_bw="3" op_1_bw="6" op_2_bw="32" op_3_bw="32">
<![CDATA[
for.inc.split:14 %lshr_ln = partselect i3 @_ssdm_op_PartSelect.i3.i6.i32.i32, i6 %add_ln11, i32 3, i32 5

]]></Node>
<StgValue><ssdm name="lshr_ln"/></StgValue>
</operation>

<operation id="34" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="32" bw="64" op_0_bw="3">
<![CDATA[
for.inc.split:15 %zext_ln11_3 = zext i3 %lshr_ln

]]></Node>
<StgValue><ssdm name="zext_ln11_3"/></StgValue>
</operation>

<operation id="35" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="33" bw="3" op_0_bw="64" op_1_bw="64" op_2_bw="64">
<![CDATA[
for.inc.split:16 %cacheMemory_addr = getelementptr i64 %cacheMemory, i64 0, i64 %zext_ln11_3

]]></Node>
<StgValue><ssdm name="cacheMemory_addr"/></StgValue>
</operation>

<operation id="36" st_id="2" stage="1" lat="1">
<core>RAM</core>
<MemPortIdVec>0 </MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="34" bw="0" op_0_bw="0" op_1_bw="3" op_2_bw="64" op_3_bw="8">
<![CDATA[
for.inc.split:17 %store_ln11 = store void @_ssdm_op_Write.bram.p0L_a8i8packedL, i3 %cacheMemory_addr, i64 %shl_ln11_1, i8 %shl_ln11

]]></Node>
<StgValue><ssdm name="store_ln11"/></StgValue>
</operation>

<operation id="37" st_id="2" stage="1" lat="1">
<core>NULL</core>
<MemPortIdVec></MemPortIdVec>
<condition id="-1">
<or_exp><and_exp></and_exp></or_exp>
</condition>

<Node id="36" bw="0" op_0_bw="0">
<![CDATA[
for.inc.split:19 %br_ln11 = br void %for.inc

]]></Node>
<StgValue><ssdm name="br_ln11"/></StgValue>
</operation>
</state>
</state_list>


<ports>
<port id="48" name="newData" dir="0" iftype="1">
<core>RAM</core><StgValue><ssdm name="newData"/><MemPortTyVec>1 3 </MemPortTyVec>
</StgValue>
</port>
<port id="49" name="or_ln11" dir="0" iftype="0">
<core>NULL</core><StgValue><ssdm name="or_ln11"/></StgValue>
</port>
<port id="50" name="cacheMemory" dir="1" iftype="1">
<core>RAM</core><StgValue><ssdm name="cacheMemory"/><MemPortTyVec>0 3 </MemPortTyVec>
</StgValue>
</port>
</ports>


<dataflows>
<dataflow id="52" from="StgValue_51" to="i" fromId="51" toId="5">
</dataflow>
<dataflow id="54" from="_ssdm_op_SpecBRAMWithByteEnable" to="specbramwithbyteenable_ln0" fromId="53" toId="6">
</dataflow>
<dataflow id="55" from="cacheMemory" to="specbramwithbyteenable_ln0" fromId="50" toId="6">
</dataflow>
<dataflow id="57" from="_ssdm_op_SpecInterface" to="specinterface_ln0" fromId="56" toId="7">
</dataflow>
<dataflow id="58" from="newData" to="specinterface_ln0" fromId="48" toId="7">
</dataflow>
<dataflow id="60" from="empty_1" to="specinterface_ln0" fromId="59" toId="7">
</dataflow>
<dataflow id="62" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="63" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="65" from="empty_0" to="specinterface_ln0" fromId="64" toId="7">
</dataflow>
<dataflow id="67" from="StgValue_66" to="specinterface_ln0" fromId="66" toId="7">
</dataflow>
<dataflow id="68" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="69" from="empty_0" to="specinterface_ln0" fromId="64" toId="7">
</dataflow>
<dataflow id="70" from="empty_0" to="specinterface_ln0" fromId="64" toId="7">
</dataflow>
<dataflow id="71" from="empty_0" to="specinterface_ln0" fromId="64" toId="7">
</dataflow>
<dataflow id="72" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="73" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="74" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="75" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="76" from="empty_0" to="specinterface_ln0" fromId="64" toId="7">
</dataflow>
<dataflow id="77" from="empty_0" to="specinterface_ln0" fromId="64" toId="7">
</dataflow>
<dataflow id="78" from="StgValue_66" to="specinterface_ln0" fromId="66" toId="7">
</dataflow>
<dataflow id="79" from="StgValue_61" to="specinterface_ln0" fromId="61" toId="7">
</dataflow>
<dataflow id="81" from="_ssdm_op_Read.ap_auto.i6" to="or_ln11_read" fromId="80" toId="8">
</dataflow>
<dataflow id="82" from="or_ln11" to="or_ln11_read" fromId="49" toId="8">
</dataflow>
<dataflow id="84" from="StgValue_83" to="store_ln0" fromId="83" toId="9">
</dataflow>
<dataflow id="85" from="i" to="store_ln0" fromId="5" toId="9">
</dataflow>
<dataflow id="86" from="i" to="i_2" fromId="5" toId="11">
</dataflow>
<dataflow id="88" from="_ssdm_op_SpecPipeline" to="specpipeline_ln0" fromId="87" toId="12">
</dataflow>
<dataflow id="89" from="StgValue_66" to="specpipeline_ln0" fromId="66" toId="12">
</dataflow>
<dataflow id="90" from="StgValue_61" to="specpipeline_ln0" fromId="61" toId="12">
</dataflow>
<dataflow id="91" from="StgValue_51" to="specpipeline_ln0" fromId="51" toId="12">
</dataflow>
<dataflow id="92" from="StgValue_61" to="specpipeline_ln0" fromId="61" toId="12">
</dataflow>
<dataflow id="94" from="p_str" to="specpipeline_ln0" fromId="93" toId="12">
</dataflow>
<dataflow id="95" from="i_2" to="icmp_ln11" fromId="11" toId="13">
</dataflow>
<dataflow id="97" from="StgValue_96" to="icmp_ln11" fromId="96" toId="13">
</dataflow>
<dataflow id="99" from="_ssdm_op_SpecLoopTripCount" to="empty" fromId="98" toId="14">
</dataflow>
<dataflow id="101" from="StgValue_100" to="empty" fromId="100" toId="14">
</dataflow>
<dataflow id="102" from="StgValue_100" to="empty" fromId="100" toId="14">
</dataflow>
<dataflow id="103" from="StgValue_100" to="empty" fromId="100" toId="14">
</dataflow>
<dataflow id="104" from="i_2" to="add_ln11_1" fromId="11" toId="15">
</dataflow>
<dataflow id="106" from="StgValue_105" to="add_ln11_1" fromId="105" toId="15">
</dataflow>
<dataflow id="107" from="icmp_ln11" to="br_ln11" fromId="13" toId="16">
</dataflow>
<dataflow id="108" from="i_2" to="i_cast4" fromId="11" toId="17">
</dataflow>
<dataflow id="109" from="newData" to="newData_addr" fromId="48" toId="18">
</dataflow>
<dataflow id="111" from="StgValue_110" to="newData_addr" fromId="110" toId="18">
</dataflow>
<dataflow id="112" from="i_cast4" to="newData_addr" fromId="17" toId="18">
</dataflow>
<dataflow id="113" from="newData_addr" to="newData_load" fromId="18" toId="19">
</dataflow>
<dataflow id="114" from="add_ln11_1" to="store_ln11" fromId="15" toId="20">
</dataflow>
<dataflow id="115" from="i" to="store_ln11" fromId="5" toId="20">
</dataflow>
<dataflow id="116" from="i_2" to="i_cast" fromId="11" toId="21">
</dataflow>
<dataflow id="118" from="_ssdm_op_SpecLoopName" to="specloopname_ln11" fromId="117" toId="22">
</dataflow>
<dataflow id="120" from="empty_4" to="specloopname_ln11" fromId="119" toId="22">
</dataflow>
<dataflow id="121" from="newData_addr" to="newData_load" fromId="18" toId="23">
</dataflow>
<dataflow id="122" from="i_2" to="trunc_ln11" fromId="11" toId="24">
</dataflow>
<dataflow id="123" from="i_cast" to="add_ln11" fromId="21" toId="25">
</dataflow>
<dataflow id="124" from="or_ln11_read" to="add_ln11" fromId="8" toId="25">
</dataflow>
<dataflow id="125" from="newData_load" to="zext_ln11" fromId="23" toId="26">
</dataflow>
<dataflow id="127" from="_ssdm_op_BitConcatenate.i3.i1.i2" to="zext_ln11_1_cast" fromId="126" toId="27">
</dataflow>
<dataflow id="129" from="StgValue_128" to="zext_ln11_1_cast" fromId="128" toId="27">
</dataflow>
<dataflow id="130" from="trunc_ln11" to="zext_ln11_1_cast" fromId="24" toId="27">
</dataflow>
<dataflow id="131" from="zext_ln11_1_cast" to="zext_ln11_1" fromId="27" toId="28">
</dataflow>
<dataflow id="133" from="StgValue_132" to="shl_ln11" fromId="132" toId="29">
</dataflow>
<dataflow id="134" from="zext_ln11_1" to="shl_ln11" fromId="28" toId="29">
</dataflow>
<dataflow id="136" from="_ssdm_op_BitConcatenate.i6.i1.i2.i3" to="zext_ln11_2_cast" fromId="135" toId="30">
</dataflow>
<dataflow id="137" from="StgValue_128" to="zext_ln11_2_cast" fromId="128" toId="30">
</dataflow>
<dataflow id="138" from="trunc_ln11" to="zext_ln11_2_cast" fromId="24" toId="30">
</dataflow>
<dataflow id="139" from="StgValue_83" to="zext_ln11_2_cast" fromId="83" toId="30">
</dataflow>
<dataflow id="140" from="zext_ln11_2_cast" to="zext_ln11_2" fromId="30" toId="31">
</dataflow>
<dataflow id="141" from="zext_ln11" to="shl_ln11_1" fromId="26" toId="32">
</dataflow>
<dataflow id="142" from="zext_ln11_2" to="shl_ln11_1" fromId="31" toId="32">
</dataflow>
<dataflow id="144" from="_ssdm_op_PartSelect.i3.i6.i32.i32" to="lshr_ln" fromId="143" toId="33">
</dataflow>
<dataflow id="145" from="add_ln11" to="lshr_ln" fromId="25" toId="33">
</dataflow>
<dataflow id="147" from="StgValue_146" to="lshr_ln" fromId="146" toId="33">
</dataflow>
<dataflow id="149" from="StgValue_148" to="lshr_ln" fromId="148" toId="33">
</dataflow>
<dataflow id="150" from="lshr_ln" to="zext_ln11_3" fromId="33" toId="34">
</dataflow>
<dataflow id="151" from="cacheMemory" to="cacheMemory_addr" fromId="50" toId="35">
</dataflow>
<dataflow id="152" from="StgValue_110" to="cacheMemory_addr" fromId="110" toId="35">
</dataflow>
<dataflow id="153" from="zext_ln11_3" to="cacheMemory_addr" fromId="34" toId="35">
</dataflow>
<dataflow id="155" from="_ssdm_op_Write.bram.p0L_a8i8packedL" to="store_ln11" fromId="154" toId="36">
</dataflow>
<dataflow id="156" from="cacheMemory_addr" to="store_ln11" fromId="35" toId="36">
</dataflow>
<dataflow id="157" from="shl_ln11_1" to="store_ln11" fromId="32" toId="36">
</dataflow>
<dataflow id="158" from="shl_ln11" to="store_ln11" fromId="29" toId="36">
</dataflow>
<dataflow id="159" from="icmp_ln11" to="StgValue_2" fromId="13" toId="2">
</dataflow>
</dataflows>


</stg>
